/// <reference types="es6-shim" />
export declare let ServerSalt: string;
export declare let ClientSalt: string;
export declare function SetClientSalt(salt: any): void;
export declare function SetServerSalt(salt: any): void;
export declare function UpdateSalts(): Promise<void>;
export declare function GenerateSalt(): Promise<string>;
export declare function HashString(value: string, salt: string): Promise<string>;
export declare function HashStringServer(value: string): Promise<string>;
export declare function HashStringClient(value: string): Promise<string>;
export declare function HashStringSync(value: string, salt: string): string;
