var web = require('./webpack.config.js');
module.exports = function (config) {
    config.set({
        basePath: '',
        frameworks: ['mocha', 'chai', 'sinon'],
        files: [
            'node_modules/bluebird/js/browser/bluebird.core.js',
            'test/hashTest.ts'
        ],
        exclude: [],
        preprocessors: {
            'test/**/*.ts': ['webpack']
        },
        webpack: {
            node: {
                fs: 'empty'
            },
            module: web.webpackConfig.module,
            resolve: web.webpackConfig.resolve
        },
        reporters: ['progress'],
        port: 9876,
        colors: true,
        logLevel: config.LOG_INFO,
        autoWatch: true,
        browsers: ['PhantomJS'],
        singleRun: false,
        concurrency: Infinity
    });
};
//# sourceMappingURL=karma.conf.js.map